%define major		1.7

%define name		fox
%define version 1.7.11
%define release %mkrel 1

%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname -d %{name}

%define name_ex_apps	%{name}-example-apps

%define icon_name_calc	%{name}-calculator.png
%define icon_name_adie	%{name}-adie.png

Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source: 	http://www.fox-toolkit.org/ftp/%{name}-%{version}.tar.bz2
Source1:	fox-shutterbug-16.png
Source2:	fox-shutterbug-32.png
Source3:	fox-shutterbug-48.png
Source10:	%{name}_adie_16.png
Source11:	%{name}_adie_32.png
Source12:	%{name}_adie_48.png
Source20:	%{name}_calc_16.png
Source21:	%{name}_calc_32.png
Source22:	%{name}_calc_48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmesaglu-devel
BuildRequires:  libcups-devel
BuildRequires:  libbzip2-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{name_ex_apps}
Summary:	FOX example applications
Group:		Office
Requires:	%{libname} >= %{version}

%description -n %{name_ex_apps}
Editor, file browser and calculator, written with FOX

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Group:		System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libnamedev}
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libfox-devel = %version-%release
Provides:	fox%{major}-devel = %version-%release
Provides:	libfox%{major}-devel = %version-%release
Conflicts:	%mklibname -d fox 1.4
Obsoletes:	%mklibname -d fox 1.7

%description -n %{libnamedev}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x --with-opengl=mesa --enable-cups

make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/fox-%{major}/* installed-docs
cp -p pathfinder/PathFinder $RPM_BUILD_ROOT/usr/bin
%multiarch_binaries %buildroot%_bindir/fox-config
mkdir -p %{buildroot}%{_menudir}

cat << EOF > %{buildroot}%{_menudir}/%{name_ex_apps}
?package(%{name_ex_apps}):\
	needs="X11"\
	section="More Applications/Sciences/Mathematics"\
	title="FOX Calculator"\
	longtitle="Calculator using the FOX toolkit"\
	command="%{_bindir}/calculator"\
	icon=%{icon_name_calc} xdg="true"
?package(%{name_ex_apps}):\
	needs="X11"\
	section="More Applications/Editors"\
	title="FOX Adie"\
	longtitle="A.D.I.E. - Advanced Interactive Editor using the FOX toolkit"\
	command="%{_bindir}/adie"\
	icon=%{icon_name_adie} xdg="true"
?package(%{name_ex_apps}):\
	needs="X11"\
	section="Multimedia/Graphics"\
	title="FOX Shutterbug"\
	longtitle="Takes a screenshot and saves it to a file"\
	command="%{_bindir}/shutterbug"\
	icon=shutterbug.png xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-foxcalculator.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="FOX Calculator"
Comment="Calculator using the FOX toolkit"
Exec=%{_bindir}/calculator %U
Icon=%{icon_name_calc} 
Terminal=false
Type=Application
StartupNotify=true
Categories=MandrivaLinux-MoreApplications-Science-Mathematics;Science;Math;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-foxadie.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="FOX Adie"
Comment="A.D.I.E. - Advanced Interactive Editor using the FOX toolkit"
Exec=%{_bindir}/adie %U
Icon=%{icon_name_adie}
Terminal=false
Type=Application
StartupNotify=true
Categories=MandrivaLinux-MoreApplications-Editors;TextEditor;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-shutterbug.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="FOX Shutterbug"
Comment="Takes a screenshot and saves it to a file"
Exec=%{_bindir}/shutterbug %U
Icon=shutterbug
Terminal=false
Type=Application
StartupNotify=true
Categories=MandrivaLinux-Multimedia-Graphics;Graphics;
EOF

install -D -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{icon_name_adie}

install -m 644 %{SOURCE20} %{buildroot}%{_miconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE21} %{buildroot}%{_iconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE22} %{buildroot}%{_liconsdir}/%{icon_name_calc}

install -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/shutterbug.png
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/shutterbug.png
install -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/shutterbug.png

rm -rf %buildroot%_prefix/fox

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{name_ex_apps}
%{update_menus}

%postun -n %{name_ex_apps}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name_ex_apps}
%defattr(-,root,root)
%doc %{_mandir}/man1/PathFinder*
%doc %{_mandir}/man1/adie*
%doc %{_mandir}/man1/calculator*
%doc %{_mandir}/man1/shutterbug.1*
%{_bindir}/calculator
%{_bindir}/PathFinder
%{_bindir}/adie
%{_bindir}/Adie.stx
%{_bindir}/shutterbug
%_datadir/applications/mandriva*
%{_menudir}/%{name_ex_apps}
%{_miconsdir}/%{icon_name_adie}
%{_iconsdir}/%{icon_name_adie}
%{_liconsdir}/%{icon_name_adie}
%{_miconsdir}/%{icon_name_calc}
%{_iconsdir}/%{icon_name_calc}
%{_liconsdir}/%{icon_name_calc}
%{_miconsdir}/shutterbug.png
%{_iconsdir}/shutterbug.png
%{_liconsdir}/shutterbug.png


%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*%{major}.so.0*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc doc ADDITIONS INSTALL TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%_bindir/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-%{major}
%{_includedir}/fox-%{major}/*
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%_libdir/pkgconfig/fox.pc




%changelog
* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 1.7.11-1mdv2008.0
+ Revision: 57706
- new version
- new devel name


* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.0
+ Revision: 91604
- Import fox

* Wed Dec 06 2006 Gtz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.1
- New version 1.7.6

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.0
- new major
- New release 1.7.1

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.6.10-1mdv2007.0
- New release 1.6.10

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.6.9-1
- New release 1.6.9

* Wed Jul 19 2006 Götz Waschk <waschk@mandriva.org> 1.6.8-1mdv2007.0
- New release 1.6.8

* Sat Jun 24 2006 Gtz Waschk <waschk@mandriva.org> 1.6.6-2mdv2007.0
- xdg menu

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 1.6.6-1mdv2007.0
- update file list
- fix buildrequires
- New release 1.6.6

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- add devel conflict
- New release 1.6.4

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdk
- New release 1.6.1

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- new major
- New release 1.6.0

* Fri Dec 16 2005 Gtz Waschk <waschk@mandriva.org> 1.4.27-1mdk
- fix configure call
- New release 1.4.27
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 1.4.24-1mdk
- New release 1.4.24

* Tue Nov 08 2005 Götz Waschk <waschk@mandriva.org> 1.4.22-1mdk
- New release 1.4.22

* Sun Oct 30 2005 Gtz Waschk <waschk@mandriva.org> 1.4.21-1mdk
- disable parallel build
- New release 1.4.21

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 1.4.20-1mdk
- New release 1.4.20

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.4.17-2mdk
- fix typo in summary

* Wed Aug 03 2005 Götz Waschk <waschk@mandriva.org> 1.4.17-1mdk
- New release 1.4.17

* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 1.4.16-1mdk
- New release 1.4.16

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 1.4.15-1mdk
- New release 1.4.15

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.4.12-1mdk
- New release 1.4.12

* Thu Apr 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.11-1mdk
- New release 1.4.11

* Thu Mar 17 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.8-1mdk
- New release 1.4.8

* Thu Mar 10 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.7-1mdk
- New release 1.4.7

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.6-1mdk
- New release 1.4.6

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- update file list
- New release 1.4.4

* Wed Oct 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- New release 1.2.11

* Sat Aug 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- New release 1.2.8

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Mon Jul 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- new version

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- fix devel provides
- New release 1.2.5

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix installation
- New release 1.2.3

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new major
- New release 1.2.1

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new major 1.1
- New release 1.2.0

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.53-1mdk
- new major
- new version

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.52-1mdk
- new major
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.51-1mdk
- new version

* Mon Mar 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.49-1mdk
- new version

* Fri Mar 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.47-1mdk
- new version

* Mon Feb 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.46-1mdk
- new version

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.45-1mdk
- new version

* Mon Jan 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.44-1mdk
- fix file list
- new version

